Subject: bug#16856: Enable fringe cursor when *almost* exact_window_width_line_p

From: Anders Lindgren <[email-masked]>
Date: Sat, 11 Nov 2017 17:34:38 +0100

On Fri, Nov 10, 2017 at 8:53 AM, Eli Zaretskii <[email-masked]> wrote:
>
> What you show is not cursor on the fringe, because you have the
> continuation arrow on the fringe.  When the continuation arrow is
> shown, the cursor cannot be shown on the fringe, because that slot is
> already taken.  And anyway, the cursor is only shown on the fringe
> when the line is not continued.
>
> What you see there is Emacs displaying the small part of the cursor
> that it still has available on the first screen line, probably because
> your window-width is not an integral multiple of frame's
> character-width.
>
> IOW, I don't think I see anything abnormal in that image.
>

Hi!

The problem is that when the normal cursor is drawn, it spills into the
fringe. When the cursor is moved, the fringe isn't updated, so artefacts
are left behind.

This only happens when the last character on the line only is partial
visible, as you correctly suggested.

    -- Anders (Original reporter)